%define major 1
%define libname %mklibname opencl %{major}
%define devname %mklibname opencl -d
%define icddevname %mklibname ocl-icd -d

Summary:	OpenCL ICL Loader
Name:		ocl-icd
Version:	2.2.11
Release:	1
License:	BSD
Group:		System/Libraries
Url:		https://forge.imag.fr/projects/ocl-icd/
# make sure to update number after download.php or you will get incorrect file
Source0:	http://forge.imag.fr/frs/download.php/814/%{name}-%{version}.tar.gz
BuildRequires:	a2x
BuildRequires:	asciidoc
BuildRequires:	docbook-dtds
BuildRequires:	opencl-headers
BuildRequires:	ruby
BuildRequires:	xmlto

%description
OpenCL is a royalty-free standard for cross-platform, parallel programming
of modern processors found in personal computers, servers and
handheld/embedded devices.

This package provides an Installable Client Driver loader (ICD Loader).
The provided libOpenCL library is able to load any free or non-free installed
ICD (driver backend).

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	OpenCL ICL Loader
Group:		System/Libraries

%description -n %{libname}
OpenCL is a royalty-free standard for cross-platform, parallel programming
of modern processors found in personal computers, servers and
handheld/embedded devices.

This package provides an Installable Client Driver loader (ICD Loader).
The provided libOpenCL library is able to load any free or non-free installed
ICD (driver backend).

%files -n %{libname}
%doc README
%{_libdir}/libOpenCL.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	OpenCL development files
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Requires:	opencl-headers
Provides:	opencl-devel = %{EVRD}

%description -n %{devname}
OpenCL is a royalty-free standard for cross-platform, parallel programming
of modern processors found in personal computers, servers and
handheld/embedded devices.

This package provides the files needed to compile software that uses
OpenCL.

%files -n %{devname}
%doc README NEWS COPYING
%{_libdir}/libOpenCL.so
%{_libdir}/pkgconfig/OpenCL.pc
%{_mandir}/man7/libOpenCL.7*
%{_mandir}/man7/libOpenCL.so.7*

#----------------------------------------------------------------------------

%package -n %{icddevname}
Summary:	ocl-icd development files
Group:		Development/C
Requires:	%{devname} = %{EVRD}
Provides:	ocl-icd-devel = %{EVRD}

%description -n %{icddevname}
This package provides the files needed to build OpenCL client drivers that
use ocl-icd for ICL functionality.

%files -n %{icddevname}
%doc README NEWS COPYING
%doc instdocs/*
%{_includedir}/ocl_icd.h
%{_libdir}/pkgconfig/ocl-icd.pc

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%configure2_5x
%make

%install
%makeinstall_std

rm -rf instdocs
mv %{buildroot}%{_docdir}/%{name} instdocs


%changelog

* Wed Mar 01 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2.2.11-1
- (d5f58ec) Build requires docbook-dtds


